summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/xfce4-settings/xfce4-settings.SlackBuild')
-rwxr-xr-xsource/xfce/xfce4-settings/xfce4-settings.SlackBuild26
1 files changed, 15 insertions, 11 deletions
diff --git a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
index cc85ed8ce..45405ab4f 100755
--- a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
+++ b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2012, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=xfce4-settings
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -36,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
if [ "$ARCH" = "i586" ]; then
@@ -52,7 +62,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -61,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -74,11 +83,6 @@ find . \
zcat $CWD/xfce4-settings.theme.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/xfce4-settings.xft.defaults.diff.gz | patch -p1 --verbose || exit 1
-# Fix monitor wake from standby with 4.4.x kernel:
-zcat $CWD/xfce.xfsettingsd.display.crtc.diff.gz | patch -p1 --verbose || exit 1
-
-patch -p1 < $CWD/0001-Make-sure-icon-NULL-if-no-icon-is-found.patch
-
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \